| Flutter Impeller |

Public Member Functions | List of all members
impeller::DefaultEntityPassDelegate Class Referencefinal
Inheritance diagram for impeller::DefaultEntityPassDelegate:

## Public Member Functions
| DefaultEntityPassDelegate ()=default
| ~DefaultEntityPassDelegate () override=default
bool | CanElide () override
bool | CanCollapseIntoParentPass (EntityPass *entity_pass) override
| Whether or not this entity pass can be collapsed into the parent. If true, this method may modify the entities for the current pass. More...
std::shared_ptr< Contents > | CreateContentsForSubpassTarget (std::shared_ptr< Texture > target, const Matrix &effect_transform) override
std::shared_ptr< FilterContents > | WithImageFilter (const FilterInput::Variant &input, const Matrix &effect_transform) const override
Public Member Functions inherited from impeller::EntityPassDelegate
| EntityPassDelegate ()
virtual | ~EntityPassDelegate ()

## Additional Inherited Members
Static Public Member Functions inherited from impeller::EntityPassDelegate
static std::unique_ptr< EntityPassDelegate > | MakeDefault ()

## Detailed Description

Definition at line 14 of file entity_pass_delegate.cc.

## Constructor & Destructor Documentation

## ◆ DefaultEntityPassDelegate()

impeller::DefaultEntityPassDelegate::DefaultEntityPassDelegate | ( |  | ) |
| default

## ◆ ~DefaultEntityPassDelegate()

impeller::DefaultEntityPassDelegate::~DefaultEntityPassDelegate | ( |  | ) |
| override default

## Member Function Documentation

## ◆ CanCollapseIntoParentPass()

bool impeller::DefaultEntityPassDelegate::CanCollapseIntoParentPass | ( | EntityPass * | entity_pass | ) |
| inline override virtual

Whether or not this entity pass can be collapsed into the parent. If true, this method may modify the entities for the current pass.

Implements impeller::EntityPassDelegate.

Definition at line 25 of file entity_pass_delegate.cc.

25 {
26 return true;
27 }

## ◆ CanElide()

bool impeller::DefaultEntityPassDelegate::CanElide | ( |  | ) |
| inline override virtual

Implements impeller::EntityPassDelegate.

Definition at line 22 of file entity_pass_delegate.cc.

22 { return false; }

## ◆ CreateContentsForSubpassTarget()

std::shared_ptr<Contents> impeller::DefaultEntityPassDelegate::CreateContentsForSubpassTarget | ( | std::shared_ptr< Texture > | target,
|  | const Matrix & | effect_transform
| ) |  |
| inline override virtual

Implements impeller::EntityPassDelegate.

Definition at line 30 of file entity_pass_delegate.cc.

32 {
33 // Not possible since this pass always collapses into its parent.
34 FML_UNREACHABLE();
35 }

## ◆ WithImageFilter()

std::shared_ptr<FilterContents> impeller::DefaultEntityPassDelegate::WithImageFilter | ( | const FilterInput::Variant & | input,
|  | const Matrix & | effect_transform
| ) |  | const
| inline override virtual

Implements impeller::EntityPassDelegate.

Definition at line 38 of file entity_pass_delegate.cc.

40 {
41 return nullptr;
42 }

The documentation for this class was generated from the following file:

- impeller/entity/entity_pass_delegate.cc